Package com.emc.documentum.rest.parser.xml.writer.field

# Class EntryFieldXmlSerializer

java.lang.Object
com.emc.documentum.rest.parser.xml.writer.field.AbstractFieldXmlSerializer
com.emc.documentum.rest.parser.xml.writer.field.EntryFieldXmlSerializer

All Implemented Interfaces:
  `AnnotatedFieldBindingProcessor`, `AnnotatedFieldSerializer<com.emc.documentum.rest.parser.xml.writer.TypeXmlWriter>`

public class EntryFieldXmlSerializer extends AbstractFieldXmlSerializer
XML field writer for null data.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `EntryFieldXmlSerializer()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `serializable(Object fieldValue, SerializableFieldMeta fieldNode)`
  Check if the field value and field type is serializable by this serializer.
  `void`
  `serialize(com.emc.documentum.rest.parser.xml.writer.TypeXmlWriter writer, Object object, SerializableFieldMeta fieldNode, org.springframework.http.MediaType mediaType, com.emc.documentum.rest.config.BindingConfig bindingConfig)`
  Serialize the field.

  ### Methods inherited from class com.emc.documentum.rest.parser.xml.writer.field.AbstractFieldXmlSerializer

  `isCompatibleMediaType, serializeKeyValue`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### EntryFieldXmlSerializer

    public EntryFieldXmlSerializer()

- ## Method Details

  - ### serialize

    public void serialize(com.emc.documentum.rest.parser.xml.writer.TypeXmlWriter writer, Object object, SerializableFieldMeta fieldNode, org.springframework.http.MediaType mediaType, com.emc.documentum.rest.config.BindingConfig bindingConfig)
    Description copied from interface: `AnnotatedFieldSerializer`
    Serialize the field.
    Parameters:
      `writer` - message writer
      `object` - field value
      `fieldNode` - the serializable field meta
      `mediaType` - the target media type to serialize
      `bindingConfig` - the binding configuration

  - ### serializable

    public boolean serializable(Object fieldValue, SerializableFieldMeta fieldNode)
    Description copied from interface: `AnnotatedFieldSerializer`
    Check if the field value and field type is serializable by this serializer.
    Parameters:
      `fieldValue` - the field value
      `fieldNode` - the serializable field meta
    Returns:
      `true` if the field value is serializable; `false` otherwise.